/*
*
* Sample program for use with the Product
* Licensed Materials  - Property of IBM
* 5724-I66
* (c) Copyright IBM Corp.  2007
*   
*/
package com.ibm.wbit.tel.client.jsf.bean;

import com.ibm.bpe.api.ProcessInstanceData;
import com.ibm.bpe.api.QueryResultSet;
import com.ibm.bpe.clientmodel.BFMConnection;
import com.ibm.bpe.clientmodel.bean.ProcessInstanceBean;

/**
 * BCInstance represents an entry in list Business Case check status. 
 */
public class BCInstance extends ProcessInstanceBean {

    /**
	 * Constructs a BCInstance from a ProcessInstanceData object.
	 * 
	 * @param processInstanceData object containing the data represents a row of this result
	 * @param bfmConnection the connection to the Buisness Flow Manager	 
	 */
    public BCInstance(ProcessInstanceData processInstanceData, BFMConnection bfmConnection) {
        super(processInstanceData, bfmConnection);
       
    }

    /**
	 * Constructs a BCInstance from a query result set returned by the BuisnessFlowManager API
	 * 
	 * @param resultSet the query result from a query call; represents a row of this result
	 * @param bfmConnection the connection to the Buisness Flow Manager	 
	 */
    public BCInstance(QueryResultSet resultSet, BFMConnection bfmConnection) {
        super(resultSet, bfmConnection);
   
    }

}
