<HTML>

<!--

Sample program for use with the Product
Licensed Materials  - Property of IBM
5724-I66
(c) Copyright IBM Corp.  2007   
-->

<HEAD>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<jsp:useBean id="bcCheckHandler" scope="session" class="com.ibm.wbit.tel.client.jsf.handler.BCCheckHandler" />
<%
	String contextPath = request.getContextPath();
%>
<link href=<%=contextPath+"/theme/styles.css"%> rel="stylesheet" type="text/css">
<title>Business Cases Check Status</title>
</HEAD>
<f:view locale="#{userInfo.locale}">
<f:loadBundle basename="com.ibm.wbit.tel.client.jsf.infrastructure.messages" var="bundle" />
	<BODY>
	<h:form styleClass="BackgroundView">

		<h:panelGrid styleClass="BackgroundViewBC" columns="1">
			<h:outputText styleClass="ViewHeadingBC" value="#{bcCheckHandler.navigationInfo}" />
			<%		
			String subviewIDCustomProperties = bcCheckHandler.getSubviewIDCustomProperties();
			if (subviewIDCustomProperties != null) {		    
			%>	
				<h:outputText styleClass="SelectStatement" value="#{bundle['MSG_SUBVIEW_SEARCH_CRITERIA']}" />
				<jsp:include page="<%=subviewIDCustomProperties+\".jsp\"%>"	flush="true" />
			<%} else {%>
				<h:outputText styleClass="SelectStatement" value="#{bundle['MSG_SUBVIEW_SEARCH_CRITERIA_NOT_AV']}" />
			<%}%>
		</h:panelGrid>
			
		<h:panelGrid styleClass="commandbar" columns="1">
			<bpe:commandbar model="#{bcCheckHandler}" buttonStyleClass="button">
				<bpe:command label="#{bundle['BUTTON_REFRESH']}" commandID="RefreshCheckStatusList"
					commandClass="com.ibm.wbit.tel.client.jsf.command.BCCheck"
					context="#{bcCheckListHandler}" /> 
			</bpe:commandbar>
		</h:panelGrid>
			

		<h:panelGrid styleClass="BackgroundViewBC" columns="1">
			<h:outputText styleClass="ViewHeadingBC" value="#{bundle['LINE_SEARCH_RESULT']}" />
			<h:panelGrid styleClass="BackgroundSubViewBC" columns="1">
				<bpe:list model="#{bcCheckListHandler}" styleClass="list" rows="20"
					headerStyleClass="template-headers" buttonStyleClass="list-buttons" checkbox="false">
					<bpe:column name="processTemplateName" label="#{bundle['TABLE_COL_PROCESS_TEMPLATE_NAME']}" />
					<bpe:column name="executionState" label="#{bundle['TABLE_COL_EXECUTION_STATE']}" />
					<bpe:column name="startTime" label="#{bundle['TABLE_COL_START_TIME']}" />
					<bpe:column name="starter" label="#{bundle['TABLE_COL_STARTER']}" />
				</bpe:list>
			</h:panelGrid>
		</h:panelGrid>

	</h:form>
	</BODY>
</f:view>
</HTML>