<HTML>

<!--

Sample program for use with the Product
Licensed Materials  - Property of IBM
5724-I66
(c) Copyright IBM Corp.  2007   
-->

<HEAD>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<jsp:useBean id="bcCreateMessageHandler" scope="session" class="com.ibm.wbit.tel.client.jsf.handler.BCCreateMessageHandler" />
<%
	String contextPath = request.getContextPath();
%>
<link href=<%=contextPath+"/theme/styles.css"%> rel="stylesheet" type="text/css">
<title>Business Cases Create New</title>
</HEAD>
<f:view locale="#{userInfo.locale}">
<f:loadBundle basename="com.ibm.wbit.tel.client.jsf.infrastructure.messages" var="bundle" />
	<BODY>
	<h:form styleClass="BackgroundView"> 

		<h:panelGrid styleClass="BackgroundViewBC" columns="1">
			<h:outputText styleClass="ViewHeadingBC" value="#{bcCreateMessageHandler.navigationInfo}" />
			<h:outputText styleClass="SelectStatement" value="#{bundle['MSG_SUBVIEW_INPUT_AND_CP']}" />
			<jsp:include page="<%=bcCreateMessageHandler.getSubviewIDInput()+\".jsp\"%>" flush="true" />
			<% 
			String subviewIDCustomProperties = bcCreateMessageHandler.getSubviewIDCustomProperties();
			if (subviewIDCustomProperties != null) {
			%> 
				<jsp:include page="<%=subviewIDCustomProperties+\".jsp\"%>" flush="true" />
			<%}%>
		</h:panelGrid>

		<h:panelGrid styleClass="commandbar">
			<bpe:commandbar model="#{bcCreateMessageHandler}"
				buttonStyleClass="button">
				<bpe:command label="#{bundle['BUTTON_CREATE']}" commandID="BusinessCaseCreate"
					commandClass="com.ibm.wbit.tel.client.jsf.command.BCCreate"
					action="BCCreate" />
			</bpe:commandbar>
		</h:panelGrid>
		
	</h:form>
	</BODY>
</f:view>
</HTML>

