<HTML>

<!--

Sample program for use with the Product
Licensed Materials  - Property of IBM
5724-I66
(c) Copyright IBM Corp.  2007   
-->

<HEAD>
<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<jsp:useBean id="toDoMessageHandler" scope="session" class="com.ibm.wbit.tel.client.jsf.handler.ToDoMessageHandler" />
<%
	String contextPath = request.getContextPath();
%>
<link href=<%=contextPath+"/theme/styles.css"%> rel="stylesheet" type="text/css">
<title>ToDo to claim</title>
</HEAD>
<f:view locale="#{userInfo.locale}">
<f:loadBundle basename="com.ibm.wbit.tel.client.jsf.infrastructure.messages" var="bundle" />
	<BODY>
	<h:form styleClass="BackgroundView">
		<h:panelGrid styleClass="BackgroundViewMTD" columns="1">
			<h:outputText styleClass="ViewHeadingBC" value="#{toDoMessageHandler.navigationInfo}" />
			<h:outputText styleClass="SelectStatement" value="#{bundle['LINE_TODO_CLAIM_DESCR']}" />   
			<jsp:include page="<%=toDoMessageHandler.getSubviewIDInput()+\".jsp\"%>" flush="true" />
		</h:panelGrid>			
		<h:panelGrid styleClass="commandbar">
			<bpe:commandbar model="#{toDoMessageHandler}"
				buttonStyleClass="button">
				<bpe:command label="#{bundle['BUTTON_CLAIM']}" commandID="ClaimToDoInstance"
					commandClass="com.ibm.wbit.tel.client.jsf.command.ToDoClaim"
					action="ToDoComplete" />
			</bpe:commandbar>
		</h:panelGrid>
	</h:form>
	</BODY>
</f:view>
</HTML>
