<HTML>

<!--

Sample program for use with the Product
Licensed Materials  - Property of IBM
5724-I66
(c) Copyright IBM Corp.  2007   
-->

<HEAD>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<%
	String contextPath = request.getContextPath();
%>
<link href=<%=contextPath+"/theme/styles.css"%> rel="stylesheet" type="text/css">
<title>My open ToDo's</title>
</HEAD>
<f:view locale="#{userInfo.locale}">
<f:loadBundle basename="com.ibm.wbit.tel.client.jsf.infrastructure.messages" var="bundle" />
	<BODY>
	<h:form styleClass="BackgroundView">
		<h:panelGrid styleClass="BackgroundViewMTD">
			<h:outputText styleClass="ViewHeadingMTD" value="#{bundle['LINE_TODOS_OPEN']}" />
			<h:outputText styleClass="SelectStatement" value="#{bundle['LINE_TODOS_OPEN_DESCR']}" />
			<h:panelGrid styleClass="BackgroundSubViewMTD" columns="1">
				<bpe:list model="#{toDosOpenListHandler}" styleClass="list"
					rows="20" headerStyleClass="template-headers"
					buttonStyleClass="list-buttons" checkbox="false">
					<bpe:column name="name" label="#{bundle['TABLE_COL_NAME']}" action="#{toDoMessageHandler.getNextViewOpenList}" />
					<bpe:column name="description" label="#{bundle['TABLE_COL_DESCRIPTION']}" />
					<bpe:column name="firstActivationTime" label="#{bundle['TABLE_COL_TIME_ACTIVATED']}" />
					<bpe:column name="originator" label="#{bundle['TABLE_COL_ORIGINATOR']}" />
				</bpe:list>
			</h:panelGrid>
		</h:panelGrid>

		<h:panelGrid styleClass="commandbar">
			<bpe:commandbar model="#{toDosOpenListHandler}"
				buttonStyleClass="button">
				<bpe:command label="#{bundle['BUTTON_REFRESH']}" commandID="RefreshToDosOpenList" 
				    action="#{toDoMessageHandler.refreshOpenList}" />
			</bpe:commandbar>
		</h:panelGrid>

		<h:outputText styleClass="errorDetailsMessage"
			value="#{bundle['LINE_TODOS_NOT_VALID_ANYMORE']}"
			rendered="#{!toDoMessageHandler.openToDoValid}" />
	</h:form>
	</BODY>
</f:view>
</HTML>

